Download it now!
Bug 135077 - keyboard shortcuts do not work in Qt interface since 7.0.rc1 release
Summary: keyboard shortcuts do not work in Qt interface since 7.0.rc1 release
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.0.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.6 target:7.0.0 target:7.1.0
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks: KDE 132172
  Show dependency treegraph
 
Reported: 2020-07-23 14:23 UTC by Tomáš Chvátal
Modified: 2020-07-27 12:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Chvátal 2020-07-23 14:23:04 UTC
This seems to be regression since commit:
  https://git.libreoffice.org/core/commit/06fb3e7b7f1079c276ad2f048cd94299b4bd7006

It is observed in openSUSE integration for KDE interface:
  https://openqa.opensuse.org/tests/1338437#step/ooffice/6

Problem is not present on Gnome build.
Comment 1 Jan-Marek Glogowski 2020-07-25 21:23:24 UTC
Hmm - so I tested a lot of stuff, but missed the missing (keyboard) focus for new dialog windows :-( This is IMHO a far worse problem, then the popup.

Guess I will just revert it, since I currently don't have time to look further into it and 6.4.6 is already in RC phase.
Comment 2 Commit Notification 2020-07-26 13:46:51 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/1f5125f9bfb6f871a1a21911e0ef0c284d1e1dc7

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-07-26 13:47:12 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/3058a13921b2d3aad6e14d1cba9047b8d5bdf63d

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-27 06:11:54 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-6":

https://git.libreoffice.org/core/commit/96d428463ac6994586259fdc245e61a431937a72

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-27 06:13:11 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-0":

https://git.libreoffice.org/core/commit/cc00a017e526452ae69d98972cbd4ac09b2d81b1

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-07-27 06:14:29 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a67f89078ec50239bf9dafbde67feab7e6ff035a

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.